#
# spec file for package python-configparser
#
# Copyright (c) 2016, Martin Hauke <mardnh@gmx.de>
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-configparser
Version:        3.5.0
Release:        1.1
License:        MIT
Summary:        Backport of the enhanced config parser introduced in Python 3.x
Url:            http://docs.python.org/3/library/configparser.html
Group:          Development/Languages/Python
Source:         https://pypi.io/packages/source/c/configparser/configparser-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
The ancient ConfigParser module available in the standard library 2.x has
seen a major update in Python 3.x. This is a backport of those changes so
that they can be used directly in Python 2.7.

%prep
%setup -q -n configparser-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
# remove unneeded files
rm -f %{buildroot}/%{python_sitelib}/configparser-%{version}-py%{py_ver}-nspkg.pth

%fdupes %{buildroot}/%{python_sitelib}/*


%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/backports
%{python_sitelib}/configparser*
%{python_sitelib}/configparser-%{version}-py%{py_ver}.egg-info

%changelog
* Tue Sep  6 2016 mardnh@gmx.de
- initial package, version 3.5.0
